{% extends "cars/base.html" %}

{% block main %}
	{% for message in messages %}
	<div class="row">
		<div class="small-12 column">
			<div class="callout {{message.tag}}" data-closable>
				<p> {{message}} </p>
				<button class="close-button" aria-label="Dismiss alert" type="button" data-close>
    				<span aria-hidden="true">&times;</span>
  				</button>
			</div>
		</div>
	</div>
	{% endfor %}
	{% if car %}
	<div class="row">
		<div class="small-12 column">
			<h3>Edit car: {{ car.title}}</h3>
			<form novalidate action="{% url 'car_edit' car_id=car.id %}" method="post">
    			{% csrf_token %}
				{{ car_form }}
				<div class="button-group">
					<input class="button primary" type="submit" value="Save">
					<a class="button secondary" href="{% url 'car_details' car_id=car.id %}">Cancel</a>
				</div>
			</form>
		</div>
	</div>
	{% endif %}	
{% endblock %}
